Bug 144502 - output to stderr is lost
output to stderr is lost
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: system-config-soundcard (Show other bugs)
3
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Martin Stransky
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-01-07 15:03 EST by Tom Laudeman
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-08-02 02:37:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tom Laudeman 2005-01-07 15:03:44 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; rv:1.7.3) Gecko/20041020
Firefox/0.10.1

Description of problem:
To see useful messages like "amixer: Unknown playback setup 'on'.." it
is necessary to run the soundcard config from the command line. All
the output to stderr should be captured and reported in a dialog box,
and all the output of any helper applications should also be captured.

This bug may apply to all the GUI config applications.

Version-Release number of selected component (if applicable):
system-config-soundcard-1.2.10-1

How reproducible:
Always

Steps to Reproduce:
1. Have a sound problem like enabled analog/digital output for an SB
Audigy. Any problem that makes amixer print to stderr will probably work.
2. Launch system-config-soundcard from a terminal window. Play the
test sound.
3. Output (apparently to stderr, could be stdout) only prints in the
terminal. system-config-soundcard does not report any output.
    

Actual Results:  No output reported from the GUI.

Expected Results:  GUI should have brought up a dialog box with the
(unexpected) output.

Additional info:

Note You need to log in before you can comment on or make changes to this bug.